-- 
-- Este arquivo armazena a lisat de eixos e curvas disponveis para
-- configurao de novos grficos pelo usurio.
--


-- Lista de grandezas disponveis para utilizao em eixos dos grficos
-- Campos:
--   id    = Identificador unico para o eixo.  No usamos apenas o indice 
--           da linha para permitir reorganizaes / inseres na tabela
--           sem invalidar scripts previamente salvos por usuarios
--   name  = Nome do eixo mostrado na janela de configurao do grfico
--   unit  = Grandeza associada ao eixo
--   title = Ttulo default associado ao eixo, mostrado no grfico.
--   inv   = Se diferente de nil indica que por default este eixo deve ser invertido
--   group = Indica a qual grupo o eixo pertence.  Um eixo assoc. a um grupo s aceita sries deste grupo
AxeTypeList = {
  {id = 1, name = 'CustomX', unit = 'unitX', title = 'Personalizado'},
  {id = 2, name = 'CustomY', unit = 'unitY', title = 'Personalizado'},
}



-- Lista de curvas disponveis
-- Campos:
--   id    = Identificador unico para o eixo.  No usamos apenas o indice 
--           da linha para permitir reorganizaes / inseres na tabela
--           sem invalidar scripts previamente salvos por usuarios
--   name  = Nome da curva mostrada na janela de configurao do grfico
--   unitx = Grandeza associada ao eixo X
--   unity = Grandeza associada ao eixo Y
--   title = Ttulo default associado a curva, mostrado na legenda.
--   errorbar = Sua presena indica que a srie possui uma barra de erro associada
--   user     = Valor (inteiro) repassado ao usurio na rotina de criao de DataSrcs.  Opcional.
--   groupx   = Indica a qual grupo a serie pertence no eixo X.  Um eixo assoc. a um grupo s aceita sries deste grupo
--   groupy   = Indica a qual grupo a serie pertence no eixo Y.  Um eixo assoc. a um grupo s aceita sries deste grupo
--   plotType = Tipo de plotagem dos dados (PointSeries,LineSeries,HistogramSeries,PieSeries)
--                   se o valor for nil ser atribuido LineSeries
--   multidata = Sua presena indica que esta srie  "mltipla", ou seja possui vrios DataSrc's associados
--   singlestyle = Vlido apenas para entradas do tipo multidata.  Indica que todas as sries associadas a esta
--                 entrada devem compartilhar o mesmo estilo de desenho e uma nica entrada na legenda.
--
SeriesList = {
--pontos
  {id = 1, name = 'pontos11',  unitx = 'unitX',   unity = 'unitY',     title = 'Pontos 1', plotType = 'PointSeries' } ,
  {id = 2, name = 'pontos21',  unitx = 'unitX',   unity = 'unitY',     title = 'Points 1', plotType = 'PointSeries' } ,
  {id = 3, name = 'pontos31',  unitx = 'unitX',   unity = 'unitY',     title = 'Puntos 1', plotType = 'PointSeries' } ,
--histograma
  {id = 4, name = 'histograma11',  unitx = 'unitX',   unity = 'unitY',     title = 'Histograma 1', plotType = 'HistogramSeries' } ,
  {id = 5, name = 'histograma21',  unitx = 'unitX',   unity = 'unitY',     title = 'Histogram 1', plotType = 'HistogramSeries' } ,
  {id = 6, name = 'histograma31',  unitx = 'unitX',   unity = 'unitY',     title = 'Histograma 1', plotType = 'HistogramSeries' } ,
--linhas
  {id = 7, name = 'linha11',  unitx = 'unitX',   unity = 'unitY',     title = 'Linha 1', plotType = 'LineSeries' } ,
  {id = 8, name = 'linha21',  unitx = 'unitX',   unity = 'unitY',     title = 'Line 1', plotType = 'LineSeries' } ,
  {id = 9, name = 'linha31',  unitx = 'unitX',   unity = 'unitY',     title = 'Lnea 1', plotType = 'LineSeries' } ,
  {id = 10, name = 'linha12',  unitx = 'unitX',   unity = 'unitY',     title = 'Linha 2', plotType = 'LineSeries' } ,
  {id = 11, name = 'linha22',  unitx = 'unitX',   unity = 'unitY',     title = 'Line 2', plotType = 'LineSeries' } ,
  {id = 12, name = 'linha32',  unitx = 'unitX',   unity = 'unitY',     title = 'Lnea 2', plotType = 'LineSeries' } ,
--semivariograma
  {id = 13, name = 'dir11',  unitx = 'unitX',   unity = 'unitY',     title = 'Direo 1', plotType = 'LineSeries' } ,
  {id = 14, name = 'dir21',  unitx = 'unitX',   unity = 'unitY',     title = 'Direo 2', plotType = 'LineSeries' } ,
  {id = 15, name = 'dir31',  unitx = 'unitX',   unity = 'unitY',     title = 'Direo 3', plotType = 'LineSeries' } ,
  {id = 16, name = 'dir41',  unitx = 'unitX',   unity = 'unitY',     title = 'Direo 4', plotType = 'LineSeries' } ,
  {id = 17, name = 'dir12',  unitx = 'unitX',   unity = 'unitY',     title = 'Direction 1', plotType = 'LineSeries' } ,
  {id = 18, name = 'dir22',  unitx = 'unitX',   unity = 'unitY',     title = 'Direction 2', plotType = 'LineSeries' } ,
  {id = 19, name = 'dir32',  unitx = 'unitX',   unity = 'unitY',     title = 'Direction 3', plotType = 'LineSeries' } ,
  {id = 20, name = 'dir42',  unitx = 'unitX',   unity = 'unitY',     title = 'Direction 4', plotType = 'LineSeries' } ,
  {id = 21, name = 'dir13',  unitx = 'unitX',   unity = 'unitY',     title = 'Direccin 1', plotType = 'LineSeries' } ,
  {id = 22, name = 'dir23',  unitx = 'unitX',   unity = 'unitY',     title = 'Direccin 2', plotType = 'LineSeries' } ,
  {id = 23, name = 'dir33',  unitx = 'unitX',   unity = 'unitY',     title = 'Direccin 3', plotType = 'LineSeries' } ,
  {id = 24, name = 'dir43',  unitx = 'unitX',   unity = 'unitY',     title = 'Direccin 4', plotType = 'LineSeries' } ,
--autocorelacao
  {id = 25, name = 'linhaX',  unitx = 'unitX',   unity = 'unitY',     title = 'X', plotType = 'LineSeries' } ,
  {id = 26, name = 'linhaY',  unitx = 'unitX',   unity = 'unitY',     title = 'Y', plotType = 'LineSeries' } ,
--linhas
  {id = 27, name = 'linha13',  unitx = 'unitX',   unity = 'unitY',     title = 'Linha 3', plotType = 'LineSeries' } ,
  {id = 28, name = 'linha23',  unitx = 'unitX',   unity = 'unitY',     title = 'Line 3', plotType = 'LineSeries' } ,
  {id = 29, name = 'linha33',  unitx = 'unitX',   unity = 'unitY',     title = 'Lnea 3', plotType = 'LineSeries' } ,
  {id = 30, name = 'linha14',  unitx = 'unitX',   unity = 'unitY',     title = 'Linha 4', plotType = 'LineSeries' } ,
  {id = 31, name = 'linha24',  unitx = 'unitX',   unity = 'unitY',     title = 'Line 4', plotType = 'LineSeries' } ,
  {id = 32, name = 'linha34',  unitx = 'unitX',   unity = 'unitY',     title = 'Lnea 4', plotType = 'LineSeries' } ,
  {id = 33, name = 'linha15',  unitx = 'unitX',   unity = 'unitY',     title = 'Linha 5', plotType = 'LineSeries' } ,
  {id = 34, name = 'linha25',  unitx = 'unitX',   unity = 'unitY',     title = 'Line 5', plotType = 'LineSeries' } ,
  {id = 35, name = 'linha35',  unitx = 'unitX',   unity = 'unitY',     title = 'Lnea 5', plotType = 'LineSeries' } ,
--torta
  {id = 36, name = 'torta1',  unitx = 'unitX',   unity = 'unitY',     title = 'Torta', plotType = 'PieSeries' } ,
--modelo
  {id = 37, name = 'Modelo',  unitx = 'unitX',   unity = 'unitY',     title = 'Modelo', plotType = 'LineSeries'} ,
  {id = 38, name = 'Modelo',  unitx = 'unitX',   unity = 'unitY',     title = 'Modelo', plotType = 'LineSeries', multidata = true } ,
--roseta
  {id = 39, name = 'roseta',  unitx = 'unitX',   unity = 'unitY',     title = 'Roseta', plotType = 'RoseSeries'} ,
--ring
  {id = 40, name = 'torta2',  unitx = 'unitX',   unity = 'unitY',     title = 'Torta', plotType = 'PieSeries' } ,
--histograma
  {id = 41, name = 'histograma41',  unitx = 'unitX',   unity = 'unitY',     title = 'Histograma 1', plotType = 'HistogramSeriesBegin' } ,
  {id = 42, name = 'histograma51',  unitx = 'unitX',   unity = 'unitY',     title = 'Histogram 1', plotType = 'HistogramSeriesBegin' } ,
  {id = 43, name = 'histograma61',  unitx = 'unitX',   unity = 'unitY',     title = 'Histograma 1', plotType = 'HistogramSeriesBegin' } ,
}
