--
-- Este arquivo contm uma lista dos templates disponveis para que o 
-- usurio crie novos grficos
--
DefaultPath = './'
TemplatePath = '../graficos/'
ImagePath    = '../graficos/'

--
-- Lista de templates disponiveis para configuracao de novos graficos
-- Campos:
--   name    - Nome do template utilizado para identifica-lo na interafce
--   image   - Imagem que representa o template
--   file    - Arquivo contendo a definicao do template
--   comment - Descricao do template
--   title   - Titulo default para graficos criados com este template
--   subtitle- Subtitulo default para graficos criados com este template (opcional)
--   noedit  - Indica que este template no pode ser utilizado pelo usurio para 
--             criar um novo grfico
--   areas   - Tabela contendo a descricao e restricoes de cada rea grfica
--             do template.  Cada entrada da tabela  uma subtabela contendo
--             os seguintes campos:
--
--             areas[i].name  - Nome da rea no template
--             areas[i].title - Ttulo da rea para apresentao na interface
--             areas[i].maxy  - Numero mximo de eixos y permitidos (opcional, 
--                              variando de 1 a 3)
--             areas[i].x - Ver areas[i].y
--             areas[i].y - Tabela opcional contendo restricoes sobre o 
--                          comportamento do eixo (x ou y). Campos (todos
--                          opcionais):
--                
--                  areas[i].y.name - Restringe eixos aceitaveis apenas aqueles
--                                    com este nome
--                  areas[i].y.unit - Restringe eixos aceitaveis apenas aqueles
--                                    com esta unidade
--                  areas[i].y.direction - Restringe a direcao aceitavel para
--                                    o eixo ('horizontal' ou 'vertical')
--
-- Os campos acima so os campos padRo interpretados diretamente pela 
-- biblioteca.  Templates especficos podem requerer que novos campos de
-- configurao sejam incluidos por area
--
TemplatesList = {
  {name     = 'XY', 
   image    = ImagePath..'xy.bmp',
   file     = 'xy.lua',
   comment  = 'Grfico X x Y tradicional com livre escolha das grandezas representadas em cada eixo.  Contm apenas um eixo Y.',
   title    = 'SCATTER PLOT',
   areas    = {{name  = 'GraphArea', 
                title = 'Grfico central'}
              },
  },
  {name     = 'TORTA', 
   image    = ImagePath..'pie.bmp',
   file     = 'pie.lua',
   comment  = 'Grfico de Torta',
   title    = 'TORTA',
   areas    = {{name  = 'GraphArea', 
                title = 'Grfico central'}
              },
  },
  {name     = 'ANEL', 
   image    = ImagePath..'ring.bmp',
   file     = 'ring.lua',
   comment  = 'Grfico de Anel',
   title    = 'Anel',
   areas    = {{name  = 'GraphArea', 
                title = 'Grfico central'}
              },
  },
}

