--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "HISTOGRAMA",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Nvel de Cinza",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Frequncia",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 4,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "HISTOGRAM",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Gray Level",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Frequency",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 5,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "HISTOGRAMA",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Nivel de Gris",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Frecuencia",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 6,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end


-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end
if Language == 'Portuguese' then
	series4_1:style():pen():setColor(SgColor:new(128,0,255))
	--series4_1:markerStyle():setType(0)
else
	if Language == 'English' then
		series5_1:style():pen():setColor(SgColor:new(128,0,255))
		--series5_1:markerStyle():setType(0)
	else
		series6_1:style():pen():setColor(SgColor:new(128,0,255))
		--series6_1:markerStyle():setType(0)
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)
