--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "PADRAO DE CORRECAO DA IMAGEM",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Coluna da Imagem",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Nvel de Cinza",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 7,
	      [2] = 10,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "STANDARD OF CORRECTION OF THE IMAGE",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Column of Image",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Gray Level",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 8,
		      [2] = 11,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "PATRN DE CORRECCIN DE LA IMAGEN",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Columna de la Imagen",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Nivel de Gris",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 9,
		      [2] = 12,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end
if Language == 'Portuguese' then
	series7_1:style():pen():setColor(SgColor:new(0, 0, 255))
	series7_1:style():brush():setFgColor(SgColor:new(0, 255, 255))
	series7_1:markerStyle():setType(0)
	series10_1:style():pen():setColor(SgColor:new(255, 0, 0))
	series10_1:style():brush():setFgColor(SgColor:new(255, 255, 0))
	series10_1:markerStyle():setType(0)
else
	if Language == 'English' then
		series8_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series8_1:style():brush():setFgColor(SgColor:new(0, 255, 255))
		series8_1:markerStyle():setType(0)
		series11_1:style():pen():setColor(SgColor:new(255, 0, 0))
		series11_1:style():brush():setFgColor(SgColor:new(255, 255, 0))
		series11_1:markerStyle():setType(0)
	else
		series9_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series9_1:style():brush():setFgColor(SgColor:new(0, 255, 255))
		series9_1:markerStyle():setType(0)
		series12_1:style():pen():setColor(SgColor:new(255, 0, 0))
		series12_1:style():brush():setFgColor(SgColor:new(255, 255, 0))
		series12_1:markerStyle():setType(0)
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)
