--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Histograma",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Distncia",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Eixo Y",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 7,
	      [2] = 10,
	      [3] = 27,
	      [4] = 30,
	      [5] = 33,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Histogram",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Distance",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Axe Y",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 8,
		      [2] = 11,
		      [3] = 28,
		      [4] = 31,
		      [5] = 34,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		if Language == "French" then
			Config = {
			  graphTitle = "Histogramme",
			  templateName = "XY",
			  templateIndex = 1,
			  areas = {
				GraphArea = {
				  title = "Graphique Central",
				  xaxeTitle = "Distance",
				  xaxeIndex = 1,
				  xaxeDir = 0,
				  y1axeTitle = "Eixo Y",
				  y1axeIndex = 2,
				  y1axeSeries = {
				  [1] = 9,
				  [2] = 12,
				  [3] = 29,
				  [4] = 32,
				  [5] = 35,
				  },
				  y2axeTitle = "",
				  y2axeIndex = 0,
				  y2axeSeries = {
				  },
				  y3axeSeries = {
				  },
				  y3axeTitle = "",
				  y3axeIndex = 0,
				},
			  },
			}		
		else	
			Config = {
			  graphTitle = "Histograma",
			  templateName = "XY",
			  templateIndex = 1,
			  areas = {
				GraphArea = {
				  title = "Grfico Central",
				  xaxeTitle = "Distancia",
				  xaxeIndex = 1,
				  xaxeDir = 0,
				  y1axeTitle = "Eixo Y",
				  y1axeIndex = 2,
				  y1axeSeries = {
				  [1] = 9,
				  [2] = 12,
				  [3] = 29,
				  [4] = 32,
				  [5] = 35,
				  },
				  y2axeTitle = "",
				  y2axeIndex = 0,
				  y2axeSeries = {
				  },
				  y3axeSeries = {
				  },
				  y3axeTitle = "",
				  y3axeIndex = 0,
				},
			  },
			}
		end
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

rightLegendArea:setVisible(true)

if Language == 'Portuguese' then
	series7_1:style():pen():setColor(SgColor:new(255,0,0))
	series7_1:markerStyle():setType(0)
	series7_1:setNameExt('Perfil 1')
	
	series10_1:style():pen():setColor(SgColor:new(255,0,255))
	series10_1:markerStyle():setType(0)
	series10_1:setNameExt('Perfil 2')
	
	series27_1:style():pen():setColor(SgColor:new(0,255,255))
	series27_1:markerStyle():setType(0)
	series27_1:setNameExt('Perfil 3')
	
	series30_1:style():pen():setColor(SgColor:new(37,127,0))
	series30_1:markerStyle():setType(0)
	series30_1:setNameExt('Perfil 4')
	
	series33_1:style():pen():setColor(SgColor:new(0,0,255))
	series33_1:markerStyle():setType(0)
	series33_1:setNameExt('Perfil 5')
else
	if Language == 'English' then
		series8_1:style():pen():setColor(SgColor:new(255,0,0))
		series8_1:markerStyle():setType(0)
		series8_1:setNameExt('Profile 1')
		
		series11_1:style():pen():setColor(SgColor:new(255,0,255))
		series11_1:markerStyle():setType(0)
		series11_1:setNameExt('Profile 2')
		
		series28_1:style():pen():setColor(SgColor:new(0,255,255))
		series28_1:markerStyle():setType(0)
		series28_1:setNameExt('Profile 3')
		
		series31_1:style():pen():setColor(SgColor:new(37,127,0))
		series31_1:markerStyle():setType(0)
		series31_1:setNameExt('Profile 4')
	
		series34_1:style():pen():setColor(SgColor:new(0,0,255))
		series34_1:markerStyle():setType(0)
		series34_1:setNameExt('Profile 5')
	else
		series9_1:style():pen():setColor(SgColor:new(255,0,0))
		series9_1:markerStyle():setType(0)
		series9_1:setNameExt('Perfil 1')
		
		series12_1:style():pen():setColor(SgColor:new(255,0,255))
		series12_1:markerStyle():setType(0)
		series12_1:setNameExt('Perfil 2')
		
		series29_1:style():pen():setColor(SgColor:new(0,255,255))
		series29_1:markerStyle():setType(0)
		series29_1:setNameExt('Perfil 3')
		
		series32_1:style():pen():setColor(SgColor:new(37,127,0))
		series32_1:markerStyle():setType(0)
		series32_1:setNameExt('Perfil 4')
	
		series35_1:style():pen():setColor(SgColor:new(0,0,255))
		series35_1:markerStyle():setType(0)
		series35_1:setNameExt('Perfil 5')
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)