--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Histograma",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Distncia",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Eixo Y",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 7,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Histogram",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Distance",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Axe Y",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 8,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Histograma",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Distancia",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Eixo Y",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 9,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

rightLegendArea:setVisible(true)

if Language == 'Portuguese' then
	series7_1:style():pen():setColor(SgColor:new(255,0,0))
	series7_1:markerStyle():setType(0)
	series7_1:setNameExt('Perfil 1')
else
	if Language == 'English' then
		series8_1:style():pen():setColor(SgColor:new(255,0,0))
		series8_1:markerStyle():setType(0)
		series8_1:setNameExt('Profile 1')
	else
		series9_1:style():pen():setColor(SgColor:new(255,0,0))
		series9_1:markerStyle():setType(0)
		series9_1:setNameExt('Perfil 1')
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)