--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Histograma",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Nvel de Cinza",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Frequncia",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 7,
	      [2] = 10,
	      [3] = 27,
	      [4] = 30,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Histogram",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Gray Level",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Frequency",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 8,
		      [2] = 11,
		      [3] = 28,
		      [4] = 31,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Histograma",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Nivel de Gris",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Frecuencia",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 9,
		      [2] = 12,
		      [3] = 29,
		      [4] = 32,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

bottomLegendArea:setVisible(true)

if Language == 'Portuguese' then
	series7_1:style():pen():setColor(SgColor:new(0, 0, 255))
	series7_1:markerStyle():setType(0)
	series7_1:setNameExt('Equalizada')
	
	series10_1:style():pen():setColor(SgColor:new(255, 0, 0))
	series10_1:markerStyle():setType(0)
	series10_1:setNameExt('Entrada')
	
	series27_1:style():pen():setColor(SgColor:new(0, 255, 0))
	series27_1:markerStyle():setType(0)
	series27_1:setNameExt('Referncia')
	
	series30_1:style():pen():setColor(SgColor:new(0,255,255))
	series30_1:markerStyle():setType(0)
	series30_1:setNameExt('Normal')
else
	if Language == 'English' then
		series8_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series8_1:markerStyle():setType(0)
		series8_1:setNameExt('Equalize')
		
		series11_1:style():pen():setColor(SgColor:new(255, 0, 0))
		series11_1:markerStyle():setType(0)
		series11_1:setNameExt('Input')
		
		series28_1:style():pen():setColor(SgColor:new(0, 255, 0))
		series28_1:markerStyle():setType(0)
		series28_1:setNameExt('Reference')
		
		series31_1:style():pen():setColor(SgColor:new(0,255,255))
		series31_1:markerStyle():setType(0)
		series31_1:setNameExt('Normal')
	else
		series9_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series9_1:markerStyle():setType(0)
		series9_1:setNameExt('Ecualizar')
		
		series12_1:style():pen():setColor(SgColor:new(255, 0, 0))
		series12_1:markerStyle():setType(0)
		series12_1:setNameExt('Entrada')
		
		series29_1:style():pen():setColor(SgColor:new(0, 255, 0))
		series29_1:markerStyle():setType(0)
		series29_1:setNameExt('Referencia')
		
		series32_1:style():pen():setColor(SgColor:new(0,255,255))
		series32_1:markerStyle():setType(0)
		series32_1:setNameExt('Normal')
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)