--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Semivariograma",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Distncia",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Y(h)",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 13,
	      [2] = 14,
	      [3] = 15,
	      [4] = 16,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Normal Probability Plot",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Distance",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Y(h)",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 17,
		      [2] = 18,
		      [3] = 19,
		      [4] = 20,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Grfico del Probabilidad Normal",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Distancia",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Y(h)",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 21,
		      [2] = 22,
		      [3] = 23,
		      [4] = 24,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

if Language == 'Portuguese' then
	series13_1:style():pen():setColor(SgColor:new(255, 0, 0))
	series13_1:markerStyle():setType(0)
	series14_1:style():pen():setColor(SgColor:new(0, 255, 0))
	series14_1:markerStyle():setType(0)
	series15_1:style():pen():setColor(SgColor:new(0, 0, 255))
	series15_1:markerStyle():setType(0)
	series16_1:style():pen():setColor(SgColor:new(0, 0, 0))
	series16_1:markerStyle():setType(0)
else
	if Language == 'English' then
		series17_1:style():pen():setColor(SgColor:new(255, 0, 0))
		series17_1:markerStyle():setType(0)
		series18_1:style():pen():setColor(SgColor:new(0, 255, 0))
		series18_1:markerStyle():setType(0)
		series19_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series19_1:markerStyle():setType(0)
		series20_1:style():pen():setColor(SgColor:new(0, 0, 0))
		series20_1:markerStyle():setType(0)
	else
		series21_1:style():pen():setColor(SgColor:new(255, 0, 0))
		series21_1:markerStyle():setType(0)
		series22_1:style():pen():setColor(SgColor:new(0, 255, 0))
		series22_1:markerStyle():setType(0)
		series23_1:style():pen():setColor(SgColor:new(0, 0, 255))
		series23_1:markerStyle():setType(0)
		series24_1:style():pen():setColor(SgColor:new(0, 0, 0))
		series24_1:markerStyle():setType(0)
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)