--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Distribuio espacial do erro",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Localizao X",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Localizao Y",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 1,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Spatial Diagram of the Error",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Localization X",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Localization Y",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 2,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Distribucin espacial del error",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Localizacin X",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Localizacin Y",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 3,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

if Language == 'Portuguese' then
	series1_1:markerStyle():pen():setColor(SgColor:new(0, 0, 0))
	series1_1:markerStyle():setType(16)
	series1_1:setZMode(1)
else
	if Language == 'English' then
		series2_1:markerStyle():pen():setColor(SgColor:new(0, 0, 0))
		series2_1:markerStyle():setType(16)
		series2_1:setZMode(1)
	else
		series3_1:markerStyle():pen():setColor(SgColor:new(0, 0, 0))
		series3_1:markerStyle():setType(16)
		series3_1:setZMode(1)
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)