--
-- SGD TemplateFile
--

-- Template configuration
if Language == 'Portuguese' then
	Config = {
	  graphTitle = "Vizinho mais prximo com simulao",
	  templateName = "XY",
	  templateIndex = 1,
	  areas = {
	    GraphArea = {
	      title = "Grfico Central",
	      xaxeTitle = "Valores Simulados",
	      xaxeIndex = 1,
	      xaxeDir = 0,
	      y1axeTitle = "Estimados",
	      y1axeIndex = 2,
	      y1axeSeries = {
	      [1] = 7,
	      [2] = 10,
	      [3] = 27,
	      [4] = 30,
	      },
	      y2axeTitle = "",
	      y2axeIndex = 0,
	      y2axeSeries = {
	      },
	      y3axeSeries = {
	      },
	      y3axeTitle = "",
	      y3axeIndex = 0,
	    },
	  },
	}
else
	if Language == 'English' then
		Config = {
		  graphTitle = "Nearest Neighbour Simulation",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Central Graph",
		      xaxeTitle = "Simulated Values",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Estimated",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 8,
		      [2] = 11,
		      [3] = 28,
		      [4] = 31,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	else
		Config = {
		  graphTitle = "Vecino mais Prximo con Simulacin",
		  templateName = "XY",
		  templateIndex = 1,
		  areas = {
		    GraphArea = {
		      title = "Grfico Central",
		      xaxeTitle = "Valores Simulados",
		      xaxeIndex = 1,
		      xaxeDir = 0,
		      y1axeTitle = "Estimados",
		      y1axeIndex = 2,
		      y1axeSeries = {
		      [1] = 9,
		      [2] = 12,
		      [3] = 29,
		      [4] = 32,
		      },
		      y2axeTitle = "",
		      y2axeIndex = 0,
		      y2axeSeries = {
		      },
		      y3axeSeries = {
		      },
		      y3axeTitle = "",
		      y3axeIndex = 0,
		    },
		  },
		}
	end
end

-- Template load
dofile(DefaultPath.."xy.lua")
CurrentGraphic:clearChanges()

-- User configurations
if SkipUserConfiguration then return end

rightLegendArea:setVisible(true)

if Language == 'Portuguese' then
	series7_1:style():pen():setColor(SgColor:new(255,128,0))
	series7_1:markerStyle():setType(0)
	series7_1:setNameExt('Estimada')
	
	series10_1:style():pen():setColor(SgColor:new(128,0,255))
	series10_1:markerStyle():setType(0)
	series10_1:setNameExt('Superior')
	
	series27_1:style():pen():setColor(SgColor:new(0,255,128))
	series27_1:markerStyle():setType(0)
	series27_1:setNameExt('Inferior')
	
	series30_1:style():pen():setColor(SgColor:new(0, 0, 0))
	series30_1:markerStyle():setType(0)
	series30_1:setNameExt('Referncia')
else
	if Language == 'English' then
		series8_1:style():pen():setColor(SgColor:new(255,128,0))
		series8_1:markerStyle():setType(0)
		series8_1:setNameExt('Estimated')
		
		series11_1:style():pen():setColor(SgColor:new(128,0,255))
		series11_1:markerStyle():setType(0)
		series11_1:setNameExt('Upper')
		
		series28_1:style():pen():setColor(SgColor:new(0,255,128))
		series28_1:markerStyle():setType(0)
		series28_1:setNameExt('Lower')
		
		series31_1:style():pen():setColor(SgColor:new(0, 0, 0))
		series31_1:markerStyle():setType(0)
		series31_1:setNameExt('Reference')
	else
		series9_1:style():pen():setColor(SgColor:new(255,128,0))
		series9_1:markerStyle():setType(0)
		series9_1:setNameExt('Estimada')
		
		series12_1:style():pen():setColor(SgColor:new(128,0,255))
		series12_1:markerStyle():setType(0)
		series12_1:setNameExt('Superior')
		
		series29_1:style():pen():setColor(SgColor:new(0,255,128))
		series29_1:markerStyle():setType(0)
		series29_1:setNameExt('Inferior')
		
		series32_1:style():pen():setColor(SgColor:new(0, 0, 0))
		series32_1:markerStyle():setType(0)
		series32_1:setNameExt('Referencia')
	end
end

plotarea_1:style():brush():setFgColor(SgColor:new(255, 255, 255))
plotarea_1:style():brush():setTransparent(nil)

CurrentGraphic:style():brush():setFgColor(SgColor:new(255, 255, 255))
CurrentGraphic:style():brush():setTransparent(nil)