create table  nextids5 
(
  iditem         integer,
  idnext         integer 
);

ALTER TABLE nextids5 ADD CONSTRAINT pk_nextids PRIMARY KEY (iditem);

INSERT INTO NEXTIDS5 VALUES (1,0);
INSERT INTO NEXTIDS5 VALUES (2,0);
INSERT INTO NEXTIDS5 VALUES (3,0);
INSERT INTO NEXTIDS5 VALUES (4,0);
INSERT INTO NEXTIDS5 VALUES (5,0);
INSERT INTO NEXTIDS5 VALUES (6,0);
INSERT INTO NEXTIDS5 VALUES (7,0);
INSERT INTO NEXTIDS5 VALUES (8,0);
INSERT INTO NEXTIDS5 VALUES (9,0);
INSERT INTO NEXTIDS5 VALUES (10,0);
 
create table filevers
(
	extens	varchar(4) NOT NULL,
	version	integer
);

ALTER TABLE filevers ADD CONSTRAINT pk_filevers PRIMARY KEY (extens);

INSERT INTO filevers VALUES ("dsp",1);
INSERT INTO filevers VALUES ("spg",1);
INSERT INTO filevers VALUES ("lut",1);
INSERT INTO filevers VALUES ("thm",1);
INSERT INTO filevers VALUES ("leg",1);
INSERT INTO filevers VALUES ("rtl",1);
INSERT INTO filevers VALUES ("blk",1);
INSERT INTO filevers VALUES ("lin",1);
INSERT INTO filevers VALUES ("no1",1);
INSERT INTO filevers VALUES ("no2",1);
INSERT INTO filevers VALUES ("rtp",1);
INSERT INTO filevers VALUES ("po1",1);
INSERT INTO filevers VALUES ("po2",1);
INSERT INTO filevers VALUES ("rta",1);
INSERT INTO filevers VALUES ("an1",1);
INSERT INTO filevers VALUES ("an2",1);
INSERT INTO filevers VALUES ("kdt",1);
INSERT INTO filevers VALUES ("p40",1);
INSERT INTO filevers VALUES ("p2d",1);
INSERT INTO filevers VALUES ("p3d",1);
INSERT INTO filevers VALUES ("tln",1);
INSERT INTO filevers VALUES ("tnd",1);
INSERT INTO filevers VALUES ("tpl",1);
INSERT INTO filevers VALUES ("itx",1);
INSERT INTO filevers VALUES ("kde",1);
INSERT INTO filevers VALUES ("txt",1);

create table  category 
(
   nome       varchar(32) NOT NULL,
   codigo     integer     NOT NULL,
   indice     integer     NOT NULL,
   pai        integer     NOT NULL,
   modelo     integer     NOT NULL,
   tabela     varchar(32) ,
   visualid   integer
);

ALTER TABLE category ADD CONSTRAINT pk_category PRIMARY KEY (codigo);

create table projects 
(
id		integer ,
nome		varchar(32),
projecao	integer   ,
lon1		float   ,
lat1		float   ,	
lon2		float   ,
lat2		float   ,
x1		float   ,
y1		float   ,
x2		float   ,
y2		float   ,
data		date ,
hora		integer
);

ALTER TABLE projects ADD CONSTRAINT pk_projects PRIMARY KEY (id);

create table infolaye
(
	id          	integer   ,		
	nome        	varchar(255)   NOT NULL,
	modelo		integer    ,
	contents	integer   ,
	categoria	integer    ,
	projeto     	integer   ,
	projecao    	integer   ,
	lon1        	float   ,
	lat1        	float   ,		
	lon2        	float   ,
	lat2        	float   ,
	x1		float   ,
	y1		float   ,
	x2		float   ,
	y2		float   ,
	escala		float   ,
	resolucaox	float   ,
	resolucaoy	float   ,
	data		date ,
	hora		integer,
	imtype		varchar(32)
);

ALTER TABLE infolaye ADD CONSTRAINT pk_infolaye PRIMARY KEY (id);


create table projecti 
(
	id      	integer   ,
	nome        	varchar(32)  ,
	datum       	varchar(32)  ,
	code      	integer  ,
	gbcode      	integer   ,
	gbcode1     	integer   ,
	bits        	integer   ,	
	pdatum     	integer   ,	
	dx          	float  ,
	dy         	float  ,
	dz          	float  ,
 	rd         	float  ,
 	flt         	float  ,
	offx        	float  ,
 	offy        	float  ,
	GPhemis     	float  ,
 	GPlat0     	float  ,
 	GPlon0      	float  ,
	GPstlat1    	float  ,
 	GPstlat2    	float  ,
	SPri      	float  ,
	SPis      	float  ,
	SPjs      	float  ,
	SPrs      	float  ,
	SPla0      	float  ,
	SPlo0      	float  ,
	SPrj 		float  ,
	SPscn      	float  ,
	SPyaw      	float  ,
	scfactor	float
);

ALTER TABLE projecti ADD CONSTRAINT pk_projecti PRIMARY KEY (id);

create table repres
(
    id         integer  ,  
    projid     integer   , 
    infoid     integer , 
    llx        float  ,  
    lly        float  ,  
    urx        float  ,  
    ury        float  ,  
    type       integer  ,   
    contents   integer  ,   
    endian     integer  ,   
    visid      integer
);
ALTER TABLE repres ADD CONSTRAINT pk_repres PRIMARY KEY (id);

create table  vgclass 
(
   infoid	integer NOT NULL,
   tmcode	integer NOT NULL,
   tmcounter	integer ,
   visible	smallint,
	CONSTRAINT infocode UNIQUE (infoid,tmcode) 
);

create table  visual
(
   vid		integer  ,
   repid	integer  ,
   viscat	integer  ,
   type		integer  ,
   xred		integer  ,
   xgreen	integer  ,
   xblue	integer  ,
   style    	integer  ,
   width    	integer  ,
   patname 	varchar(50)  ,
   pointtype     integer   ,
   marktype      integer   ,
   markred       integer  ,
   markgreen     integer  ,
   markblue      integer  ,
   sybname       varchar(32)  ,
   syheight      float  ,
   sybangle      float  ,
   polyred       integer  ,
   polygreen     integer  ,
   polyblue      integer  ,
   fillmode      integer   ,
   fillhash      integer   ,
   fillangle     integer   ,
   fillspace     integer   ,
   iconname      varchar(32)  ,
   txtfont       varchar(32)  ,
   txtred        integer  ,
   txtgreen      integer  ,
   txtblue       integer  ,
   txtheight	float   ,
   txtthickn	float   ,
   txtangle		float   ,
   txtspace		float   ,
   txtexpans	float   ,
   txtalignhz     integer   ,
   txtalignvt     integer   ,
   txtprecis	integer  ,
   txtpath		integer
);

ALTER TABLE visual ADD CONSTRAINT pk_visual PRIMARY KEY (vid);

create table collections
(
catid	integer NOT NULL,
collection varchar(50) NOT NULL CONSTRAINT collecti UNIQUE,
x1	float,
y1	float,
x2	float,
y2	float,
expression memo,
infoid integer NOT NULL
);

create table pictures
(
photoid integer NOT NULL,
photo memo NOT NULL,
type  memo NOT NULL
);

CREATE INDEX photo_id ON pictures (photoid);

create table metadata 
(
	id		integer ,
	repid		integer ,
	nometab	varchar(20) ,
	nome 		varchar(32) NOT NULL ,
	autor 	varchar(50),
	fonte		varchar(200),
	qualidade	varchar(50),
	descricao	varchar(200),
	data		varchar(12) ,
	hora		varchar(10),
	transf	integer
);
ALTER TABLE metadata ADD CONSTRAINT pk_metadata PRIMARY KEY (id);