create table  nextids5 
(
	iditem         integer UNSIGNED not null,
	idnext         integer,
	mysql_id	   integer UNSIGNED not null unique AUTO_INCREMENT,
	PRIMARY KEY (iditem)	
) ENGINE = INNODB;

INSERT INTO nextids5 (iditem, idnext) VALUES (1,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (2,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (3,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (4,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (5,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (6,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (7,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (8,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (9,0);
INSERT INTO nextids5 (iditem, idnext) VALUES (10,0);
 
create table filevers
(
	extens	varchar(4) NOT NULL,
	version	integer
);

ALTER TABLE filevers ADD CONSTRAINT pk_filevers PRIMARY KEY (extens);

INSERT INTO filevers (extens, version) VALUES ("dsp",1);
INSERT INTO filevers (extens, version) VALUES ("spg",1);
INSERT INTO filevers (extens, version) VALUES ("lut",1);
INSERT INTO filevers (extens, version) VALUES ("thm",1);
INSERT INTO filevers (extens, version) VALUES ("leg",1);
INSERT INTO filevers (extens, version) VALUES ("rtl",1);
INSERT INTO filevers (extens, version) VALUES ("blk",1);
INSERT INTO filevers (extens, version) VALUES ("lin",1);
INSERT INTO filevers (extens, version) VALUES ("no1",1);
INSERT INTO filevers (extens, version) VALUES ("no2",1);
INSERT INTO filevers (extens, version) VALUES ("rtp",1);
INSERT INTO filevers (extens, version) VALUES ("po1",1);
INSERT INTO filevers (extens, version) VALUES ("po2",1);
INSERT INTO filevers (extens, version) VALUES ("rta",1);
INSERT INTO filevers (extens, version) VALUES ("an1",1);
INSERT INTO filevers (extens, version) VALUES ("an2",1);
INSERT INTO filevers (extens, version) VALUES ("kdt",1);
INSERT INTO filevers (extens, version) VALUES ("p40",1);
INSERT INTO filevers (extens, version) VALUES ("p2d",1);
INSERT INTO filevers (extens, version) VALUES ("p3d",1);
INSERT INTO filevers (extens, version) VALUES ("tln",1);
INSERT INTO filevers (extens, version) VALUES ("tnd",1);
INSERT INTO filevers (extens, version) VALUES ("tpl",1);
INSERT INTO filevers (extens, version) VALUES ("itx",1);
INSERT INTO filevers (extens, version) VALUES ("kde",1);
INSERT INTO filevers (extens, version) VALUES ("txt",1);
 
create table  category 
(
	nome       varchar(32) NOT NULL,
	codigo     integer     NOT NULL,
   	indice     integer     NOT NULL,
   	pai        integer     NOT NULL,
   	modelo     integer     NOT NULL,
   	tabela     varchar(32) ,
   	visualid   integer,
   	mysql_id   integer UNSIGNED not null unique AUTO_INCREMENT,
   	PRIMARY KEY (codigo)
) ENGINE = INNODB;

create table projects 
(
	id		integer UNSIGNED not null,
	nome		varchar(32),
	projecao	integer   ,
	lon1		double   ,
	lat1		double   ,
	lon2		double   ,
	lat2		double   ,
	x1		double   ,
	y1		double   ,
	x2		double   ,
	y2		double   ,
	data		date ,
	hora		integer,
	mysql_id	integer UNSIGNED not null unique AUTO_INCREMENT,
	PRIMARY KEY (id)
) ENGINE = INNODB;

create table infolaye
(
	id          	integer UNSIGNED not null,
	nome        	varchar(255)   NOT NULL,
	modelo		integer    ,
	contents		integer   ,
	categoria		integer    ,
	projeto     	integer   ,
	projecao    	integer   ,
	lon1        	double   ,
	lat1        	double   ,		
	lon2        	double   ,
	lat2        	double   ,
	x1			double   ,
	y1			double   ,
	x2			double   ,
	y2			double   ,
	escala		double   ,
	resolucaox		double   ,
	resolucaoy		double   ,
	data			date ,
	hora			integer,
	imtype			varchar(32),
      mysql_id    	integer UNSIGNED not null unique AUTO_INCREMENT,
	PRIMARY KEY (id)
) ENGINE = INNODB;

create table projecti 
(
	id      	integer UNSIGNED not null,
	nome        varchar(32)  ,
	datum       varchar(32)  ,
	code      	integer  ,
	gbcode      integer   ,
	gbcode1     integer   ,
	bits        integer   ,	
	pdatum     	integer   ,	
	dx          double  ,
	dy         	double  ,
	dz          double  ,
 	rd         	double  ,
 	flt         double  ,
	offx        double  ,
 	offy        double  ,
	GPhemis     double  ,
 	GPlat0     	double  ,
 	GPlon0      double  ,
	GPstlat1    double  ,
 	GPstlat2    double  ,
	SPri      	double  ,
	SPis      	double  ,
	SPjs      	double  ,
	SPrs      	double  ,
	SPla0      	double  ,
	SPlo0      	double  ,
	SPrj 		double  ,
	SPscn      	double  ,
	SPyaw      	double  ,
	scfactor	double  ,
      mysql_id    integer UNSIGNED not null unique AUTO_INCREMENT,
	PRIMARY KEY (id)
) ENGINE = INNODB;

create table repres
(
    id         integer UNSIGNED not null,
    projid     integer   , 
    infoid     integer , 
    llx        double  ,  
    lly        double  ,  
    urx        double  ,  
    ury        double  ,  
    type       integer  ,   
    contents   integer  ,   
    endian     integer  ,   
    visid      integer,
    mysql_id   integer UNSIGNED not null unique AUTO_INCREMENT,
    PRIMARY KEY (id)
) ENGINE = INNODB;

create table  vgclass 
(
   infoid		integer NOT NULL,
   tmcode		integer NOT NULL,
   tmcounter	integer ,
   visible		smallint,
   mysql_id	  	integer UNSIGNED not null unique AUTO_INCREMENT,
   INDEX(infoid),
   INDEX(tmcode)
) ENGINE = INNODB;

create table  visual
(
   vid		integer UNSIGNED not null,
   repid		integer  ,
   viscat		integer  ,
   type		integer  ,
   xred		integer  ,
   xgreen		integer  ,
   xblue		integer  ,
   style    	integer  ,
   width    	integer  ,
   patname 		varchar(50)  ,
   pointtype     integer   ,
   marktype      integer   ,
   markred       integer  ,
   markgreen     integer  ,
   markblue      integer  ,
   sybname       varchar(32)  ,
   syheight      double  ,
   sybangle      double  ,
   polyred       integer  ,
   polygreen     integer  ,
   polyblue      integer  ,
   fillmode      integer   ,
   fillhash      integer   ,
   fillangle     integer   ,
   fillspace     integer   ,
   iconname      varchar(32)  ,
   txtfont       varchar(32)  ,
   txtred        integer  ,
   txtgreen      integer  ,
   txtblue       integer  ,
   txtheight	double   ,
   txtthickn	double   ,
   txtangle		double   ,
   txtspace		double   ,
   txtexpans	double   ,
   txtalignhz     integer   ,
   txtalignvt     integer   ,
   txtprecis	integer  ,
   txtpath		integer,
   mysql_id	  integer UNSIGNED not null unique AUTO_INCREMENT,
   PRIMARY KEY (vid)
) ENGINE = INNODB;

create table collections
(
	catid	integer NOT NULL,
	collection varchar(50) NOT NULL UNIQUE,
	x1	double,
	y1	double,
	x2	double,
	y2	double,
	expression varchar(255) NOT NULL,
	infoid integer NOT NULL,
	mysql_id integer UNSIGNED not null unique AUTO_INCREMENT
) ENGINE = INNODB;

create table pictures
(
	photoid 	integer UNSIGNED NOT NULL,
	photo 	varchar(255) NOT NULL,
	type  	varchar(50) NOT NULL,
	mysql_id 	integer UNSIGNED not null unique AUTO_INCREMENT,
	INDEX(photoid)
) ENGINE = INNODB;

create table metadata 
(
	id		integer UNSIGNED NOT NULL,
	repid		integer ,
	nometab	varchar(20) ,
	nome 		varchar(32) NOT NULL ,
	autor 	varchar(50),
	fonte		varchar(200),
	qualidade	varchar(50),
	descricao	varchar(200),
	data		varchar(12) ,
	hora		varchar(10),
	transf	integer,
	mysql_id 	integer UNSIGNED not null unique AUTO_INCREMENT,
	PRIMARY KEY (id),
	INDEX(nome)
) ENGINE = INNODB;
