CREATE TABLE SPRINGDBS
(
	DBID NUMBER(32)
);

CREATE SEQUENCE NESPSEQ;
CREATE SEQUENCE CGSEQ;
CREATE SEQUENCE OJSEQ;
CREATE SEQUENCE GASEQ;

ALTER TABLE SPRINGDBS 
       ADD  ( PRIMARY KEY (DBID) ) ;

CREATE TABLE CATEGORY (
       NOME                 VARCHAR2(32) NULL,
       CODIGO               NUMBER(32) NULL,
       INDICE               NUMBER(32) NULL,
       PAI                  NUMBER(32) NULL,
       MODELO               NUMBER(32) NULL,
       TABELA               VARCHAR2(32) NULL,
       VISUALID             NUMBER(32) NULL,
	 DBID			    NUMBER(32)
);

ALTER TABLE CATEGORY 
       ADD  ( PRIMARY KEY (CODIGO,DBID ) );

ALTER TABLE CATEGORY 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;

CREATE TABLE PROJECTI (
       ID                   NUMBER(32) NOT NULL,
       NOME                 VARCHAR2(32) NULL,
       DATUM                VARCHAR2(32) NULL,
       CODE                 NUMBER(32) NULL,
       GBCODE               NUMBER(32) NULL,
       GBCODE1              NUMBER(32) NULL,
       BITS                 NUMBER(32) NULL,
       PDATUM               NUMBER(32) NULL,
       DX                   NUMBER  NULL,
       DY                   NUMBER  NULL,
       DZ                   NUMBER  NULL,
       RD                   NUMBER  NULL,
       FLT                  NUMBER  NULL,
       OFFX                 NUMBER  NULL,
       OFFY                 NUMBER  NULL,
       GPHEMIS              NUMBER(32) NULL,
       GPLAT0               NUMBER  NULL,
       GPLON0               NUMBER  NULL,
       GPSTLAT1             NUMBER  NULL,
       GPSTLAT2             NUMBER  NULL,
       SPRI                 NUMBER  NULL,
       SPIS                 NUMBER  NULL,
       SPJS                 NUMBER  NULL,
       SPRS                 NUMBER  NULL,
       SPLA0                NUMBER  NULL,
       SPLO0                NUMBER  NULL,
       SPRJ                 NUMBER  NULL,
       SPSCN                NUMBER  NULL,
       SPYAW                NUMBER  NULL,
       SCFACTOR             NUMBER  NULL,
       DBID		    NUMBER(32)
);


ALTER TABLE PROJECTI
       ADD  ( PRIMARY KEY (ID,DBID) );

ALTER TABLE PROJECTI 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;


CREATE TABLE VGCLASS (
       INFOID               NUMBER(32) ,
       TMCODE               NUMBER(32) ,
       TMCOUNTER            NUMBER(32) NOT NULL,
       VISIBLE              NUMBER(2) NOT NULL,
DBID NUMBER(32)
);

ALTER TABLE VGCLASS
       ADD  ( PRIMARY KEY (INFOID,TMCODE,DBID ) ) ;

ALTER TABLE VGCLASS 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;


CREATE TABLE VISUAL (
       VID                  NUMBER(32) NOT NULL,
       REPID                NUMBER(32) NULL,
       VISCAT               NUMBER(32) NULL,
       TYPE                 NUMBER(32) NULL,
       XRED                 NUMBER(32) NULL,
       XGREEN               NUMBER(32) NULL,
       XBLUE                NUMBER(32) NULL,
       STYLE                NUMBER(32) NULL,
       WIDTH                NUMBER(32) NULL,
       PATNAME              VARCHAR2(50) NULL,
       POINTTYPE            NUMBER(32) NULL,
       MARKTYPE             NUMBER(32) NULL,
       MARKRED              NUMBER(32) NULL,
       MARKGREEN            NUMBER(32) NULL,
       MARKBLUE             NUMBER(32) NULL,
       SYBNAME              VARCHAR2(32) NULL,
       SYHEIGHT             NUMBER  NULL,
       SYBANGLE             NUMBER  NULL,
       POLYRED              NUMBER(32) NULL,
       POLYGREEN            NUMBER(32) NULL,
       POLYBLUE             NUMBER(32) NULL,
       FILLMODE             NUMBER(32) NULL,
       FILLHASH             NUMBER(32) NULL,
       FILLANGLE            NUMBER(32) NULL,
       FILLSPACE            NUMBER(32) NULL,
       ICONNAME             VARCHAR2(32) NULL,
       TXTFONT              VARCHAR2(32) NULL,
       TXTRED               NUMBER(32) NULL,
       TXTGREEN             NUMBER(32) NULL,
       TXTBLUE              NUMBER(32) NULL,
       TXTHEIGHT            NUMBER  NULL,
       TXTTHICKN            NUMBER  NULL,
       TXTANGLE             NUMBER  NULL,
       TXTSPACE             NUMBER  NULL,
       TXTEXPANS            NUMBER  NULL,
       TXTALIGNHZ           NUMBER(32) NULL,
       TXTALIGNVT           NUMBER(32) NULL,
       TXTPRECIS            NUMBER(32) NULL,
       TXTPATH              NUMBER(32) NULL,
DBID NUMBER(32)
);

ALTER TABLE VISUAL
       ADD  ( PRIMARY KEY (VID,DBID) ) ;

ALTER TABLE VISUAL 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;

CREATE TABLE COLLECTIONS (
       CATID                NUMBER(32) NULL,
       COLLECTION           VARCHAR2(50) NULL,
       X1                   NUMBER  NULL,
       Y1                   NUMBER  NULL,
       X2                   NUMBER  NULL,
       Y2                   NUMBER  NULL,
       EXPRESSION           LONG NULL,
       INFOID               NUMBER(32) NULL,
DBID NUMBER(32)
);

ALTER TABLE COLLECTIONS 
       ADD  ( PRIMARY KEY (CATID,COLLECTION,DBID) ) ;

ALTER TABLE COLLECTIONS 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;

CREATE TABLE PICTURES (
       PHOTOID              NUMBER(32) NOT NULL,
       PHOTO                LONG NOT NULL,
       TYPE                 VARCHAR(50) NOT NULL,
DBID NUMBER(32)
);

ALTER TABLE PICTURES 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;

CREATE TABLE NEXTIDS5 (
       IDITEM               NUMBER(32) NOT NULL,
       IDNEXT               NUMBER(32) NULL,
	   DBID NUMBER(32)
);


ALTER TABLE NEXTIDS5
       ADD  ( PRIMARY KEY (IDITEM, DBID) ) ;

INSERT INTO NEXTIDS5 VALUES (1,0,1);
INSERT INTO NEXTIDS5 VALUES (2,0,1);
INSERT INTO NEXTIDS5 VALUES (3,0,1);
INSERT INTO NEXTIDS5 VALUES (4,0,1);
INSERT INTO NEXTIDS5 VALUES (5,0,1);
INSERT INTO NEXTIDS5 VALUES (6,0,1);
INSERT INTO NEXTIDS5 VALUES (7,0,1);
INSERT INTO NEXTIDS5 VALUES (8,0,1);
INSERT INTO NEXTIDS5 VALUES (9,0,1);
INSERT INTO NEXTIDS5 VALUES (10,0,1);


CREATE TABLE PROJECTS (
       ID                   NUMBER(32) NOT NULL,
       NOME                 VARCHAR2(32) NULL,
       PROJECAO             NUMBER(32) NULL,
       LON1                 NUMBER  NULL,
       LAT1                 NUMBER  NULL,
       LON2                 NUMBER  NULL,
       LAT2                 NUMBER  NULL,
       X1                   NUMBER  NULL,
       Y1                   NUMBER  NULL,
       X2                   NUMBER  NULL,
       Y2                   NUMBER  NULL,
       DATA                 DATE NULL,
       HORA                 NUMBER(32) NULL,
DBID NUMBER(32)
);

ALTER TABLE PROJECTS 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;


ALTER TABLE PROJECTS
       ADD  ( PRIMARY KEY (ID,DBID) ) ;


CREATE TABLE INFOLAYE (
       ID                   NUMBER(32) NOT NULL,
       NOME                 VARCHAR2(255) NULL,
       MODELO               NUMBER(32) NULL,
       CONTENTS             NUMBER(32) NULL,
       CATEGORIA            NUMBER(32) NULL,
       PROJETO              NUMBER(32) NULL,
       PROJECAO             NUMBER(32) NULL,
       LON1                 NUMBER  NULL,
       LAT1                 NUMBER  NULL,
       LON2                 NUMBER  NULL,
       LAT2                 NUMBER  NULL,
       X1                   NUMBER  NULL,
       Y1                   NUMBER  NULL,
       X2                   NUMBER  NULL,
       Y2                   NUMBER  NULL,
       ESCALA               NUMBER  NULL,
       RESOLUCAOX           NUMBER  NULL,
       RESOLUCAOY           NUMBER  NULL,
       DATA                 DATE NULL,
       HORA                 NUMBER(32) NULL,
       IMTYPE               VARCHAR2(32) NULL,
DBID NUMBER(32)
);


ALTER TABLE INFOLAYE
       ADD  ( PRIMARY KEY (ID,DBID) ) ;

ALTER TABLE INFOLAYE 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;

CREATE TABLE REPRES (
       ID                   NUMBER(32) NOT NULL,
       PROJID               NUMBER(32) NULL,
       INFOID               NUMBER(32) NULL,
       LLX                  NUMBER  NULL,
       LLY                  NUMBER  NULL,
       URX                  NUMBER  NULL,
       URY                  NUMBER  NULL,
       TYPE                 NUMBER(32) NULL,
       CONTENTS             NUMBER(32) NULL,
       ENDIAN               NUMBER(32) NULL,
       VISID                NUMBER(32) NULL,
DBID NUMBER(32)
);


ALTER TABLE REPRES
       ADD  ( PRIMARY KEY (ID,DBID) ) ;

ALTER TABLE REPRES 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;

ALTER TABLE INFOLAYE
       ADD  ( FOREIGN KEY (PROJETO,DBID)
                             REFERENCES PROJECTS
                             ON DELETE CASCADE ) ;


ALTER TABLE REPRES
       ADD  ( FOREIGN KEY (INFOID,DBID)
                             REFERENCES INFOLAYE
                             ON DELETE CASCADE ) ;

CREATE TABLE METADATA (
       ID                   NUMBER(32) NOT NULL,
	 REPID		    NUMBER(32),
	 NOMETAB		    VARCHAR2(20),
       NOME                 VARCHAR2(32) NOT NULL,
       AUTOR                VARCHAR2(50),
       FONTE                VARCHAR2(200),
       QUALIDADE            VARCHAR2(50),
       DESCRICAO            VARCHAR2(200),
       DATA                 VARCHAR2(12),
       HORA                 VARCHAR2(10),
	 TRANSF		    NUMBER(32),
DBID NUMBER(32)
);


ALTER TABLE METADATA
       ADD  ( PRIMARY KEY (ID,DBID ) );

ALTER TABLE METADATA 
       ADD  ( FOREIGN KEY (DBID)
                             REFERENCES SPRINGDBS
                             ON DELETE CASCADE ) ;
                             
                    
 
create table filevers
(
	extens	varchar(4) NOT NULL,
	version	integer,
	DBID NUMBER(32)
);

ALTER TABLE filevers ADD (PRIMARY KEY (extens, DBID));

INSERT INTO filevers VALUES ('dsp', 1, 1);
INSERT INTO filevers VALUES ('spg', 1, 1);
INSERT INTO filevers VALUES ('lut', 1, 1);
INSERT INTO filevers VALUES ('thm', 1, 1);
INSERT INTO filevers VALUES ('leg', 1, 1);
INSERT INTO filevers VALUES ('rtl', 1, 1);
INSERT INTO filevers VALUES ('blk', 1, 1);
INSERT INTO filevers VALUES ('lin', 1, 1);
INSERT INTO filevers VALUES ('no1', 1, 1);
INSERT INTO filevers VALUES ('no2', 1, 1);
INSERT INTO filevers VALUES ('rtp', 1, 1);
INSERT INTO filevers VALUES ('po1', 1, 1);
INSERT INTO filevers VALUES ('po2', 1, 1);
INSERT INTO filevers VALUES ('rta', 1, 1);
INSERT INTO filevers VALUES ('an1', 1, 1);
INSERT INTO filevers VALUES ('an2', 1, 1);
INSERT INTO filevers VALUES ('kdt', 1, 1);
INSERT INTO filevers VALUES ('p40', 1, 1);
INSERT INTO filevers VALUES ('p2d', 1, 1);
INSERT INTO filevers VALUES ('p3d', 1, 1);
INSERT INTO filevers VALUES ('tln', 1, 1);
INSERT INTO filevers VALUES ('tnd', 1, 1);
INSERT INTO filevers VALUES ('tpl', 1, 1);
INSERT INTO filevers VALUES ('itx', 1, 1);
INSERT INTO filevers VALUES ('kde', 1, 1);
INSERT INTO filevers VALUES ('txt', 1, 1);