CREATE TABLE CATEGORY
(
       NOME                 VARCHAR(32) NOT NULL,    
       CODIGO               INTEGER     NOT NULL,
       INDICE               INTEGER     NOT NULL,    
       PAI                  INTEGER     NOT NULL,    
       MODELO               INTEGER     NOT NULL,    
       TABELA               VARCHAR(32) NULL,    
       VISUALID             INTEGER     NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (CODIGO)
);

CREATE TABLE PROJECTI
(
       ID                   INTEGER     NOT NULL,
       NOME                 VARCHAR(32) NULL,
       DATUM                VARCHAR(32) NULL,
       CODE                 INTEGER     NULL,
       GBCODE               INTEGER     NULL,
       GBCODE1              INTEGER     NULL,
       BITS                 INTEGER     NULL,
       PDATUM               INTEGER     NULL,
       DX                   FLOAT       NULL,
       DY                   FLOAT       NULL,
       DZ                   FLOAT       NULL,
       RD                   FLOAT       NULL,
       FLT                  FLOAT       NULL,
       OFFX                 FLOAT       NULL,
       OFFY                 FLOAT       NULL,
       GPHEMIS              FLOAT       NULL,
       GPLAT0               FLOAT       NULL,
       GPLON0               FLOAT       NULL,
       GPSTLAT1             FLOAT       NULL,
       GPSTLAT2             FLOAT       NULL,
       SPRI                 FLOAT       NULL,
       SPIS                 FLOAT       NULL,
       SPJS                 FLOAT       NULL,
       SPRS                 FLOAT       NULL,
       SPLA0                FLOAT       NULL,
       SPLO0                FLOAT       NULL,
       SPRJ                 FLOAT       NULL,
       SPSCN                FLOAT       NULL,
       SPYAW                FLOAT       NULL,
       SCFACTOR             FLOAT       NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (ID)
);

CREATE TABLE VGCLASS
(
       INFOID      INTEGER   NOT NULL,         
       TMCODE      INTEGER   NOT NULL,         
       TMCOUNTER   INTEGER   NOT NULL, 
       VISIBLE     INTEGER   NOT NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (INFOID, TMCODE)
);

CREATE TABLE VISUAL
(
       VID                  INTEGER      NOT NULL, 
       REPID                INTEGER      NULL,     
       VISCAT               INTEGER      NULL,     
       TYPE                 INTEGER      NULL,     
       XRED                 INTEGER      NULL,     
       XGREEN               INTEGER      NULL,     
       XBLUE                INTEGER      NULL,     
       STYLE                INTEGER      NULL,     
       WIDTH                INTEGER      NULL,     
       PATNAME              VARCHAR(50)  NULL, 
       POINTTYPE            INTEGER      NULL,     
       MARKTYPE             INTEGER      NULL,     
       MARKRED              INTEGER      NULL,     
       MARKGREEN            INTEGER      NULL,     
       MARKBLUE             INTEGER      NULL,     
       SYBNAME              VARCHAR(32)  NULL, 
       SYHEIGHT             FLOAT        NULL,    
       SYBANGLE             FLOAT        NULL,    
       POLYRED              INTEGER      NULL,     
       POLYGREEN            INTEGER      NULL,     
       POLYBLUE             INTEGER      NULL,     
       FILLMODE             INTEGER      NULL,     
       FILLHASH             INTEGER      NULL,     
       FILLANGLE            INTEGER      NULL,     
       FILLSPACE            INTEGER      NULL,     
       ICONNAME             VARCHAR(32)  NULL, 
       TXTFONT              VARCHAR(32)  NULL, 
       TXTRED               INTEGER      NULL,     
       TXTGREEN             INTEGER      NULL,     
       TXTBLUE              INTEGER      NULL,     
       TXTHEIGHT            FLOAT        NULL,     
       TXTTHICKN            FLOAT        NULL,     
       TXTANGLE             FLOAT        NULL,     
       TXTSPACE             FLOAT        NULL,     
       TXTEXPANS            FLOAT        NULL,     
       TXTALIGNHZ           INTEGER      NULL,     
       TXTALIGNVT           INTEGER      NULL,     
       TXTPRECIS            INTEGER      NULL,     
       TXTPATH              INTEGER      NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (VID)
);

CREATE TABLE COLLECTIONS
(
       CATID                INTEGER      NOT NULL,     
       COLLECTION           VARCHAR(50)  NOT NULL, 
       X1                   FLOAT        NULL,     
       Y1                   FLOAT        NULL,     
       X2                   FLOAT        NULL,     
       Y2                   FLOAT        NULL,     
       EXPRESSION           VARCHAR      NULL,     
       INFOID               INTEGER      NOT NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (CATID, COLLECTION)
);

CREATE TABLE PICTURES
(
       PHOTOID  INTEGER      NOT NULL,
       PHOTO    VARCHAR      NOT NULL,
       TYPE     VARCHAR      NOT NULL,
       spostgresql_id serial not null unique
);

CREATE INDEX idx_photo_id ON PICTURES(PHOTOID);

CREATE TABLE NEXTIDS5
(
       IDITEM INTEGER NOT NULL, 
       IDNEXT INTEGER NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (IDITEM)
);



CREATE TABLE PROJECTS
(
       ID         INTEGER      NOT NULL, 
       NOME       VARCHAR(32)  NULL, 
       PROJECAO   INTEGER      NULL,      
       LON1       FLOAT        NULL,
       LAT1       FLOAT        NULL,
       LON2       FLOAT        NULL,
       LAT2       FLOAT        NULL,
       X1         FLOAT        NULL,     
       Y1         FLOAT        NULL,     
       X2         FLOAT        NULL,     
       Y2         FLOAT        NULL,     
       DATA       DATE         NULL,
       HORA       INTEGER      NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (ID)
);

CREATE TABLE INFOLAYE
(
       ID          INTEGER      NOT NULL, 
       NOME        VARCHAR(255)  NOT NULL, 
       MODELO      INTEGER      NULL,     
       CONTENTS    INTEGER      NULL,     
       CATEGORIA   INTEGER      NULL,     
       PROJETO     INTEGER      NULL,     
       PROJECAO    INTEGER      NULL,     
       LON1        FLOAT        NULL,     
       LAT1        FLOAT        NULL,     
       LON2        FLOAT        NULL,     
       LAT2        FLOAT        NULL,     
       X1          FLOAT        NULL,     
       Y1          FLOAT        NULL,     
       X2          FLOAT        NULL,     
       Y2          FLOAT        NULL,     
       ESCALA      FLOAT        NULL,     
       RESOLUCAOX  FLOAT        NULL,     
       RESOLUCAOY  FLOAT        NULL,     
       DATA        DATE         NULL,
       HORA        INTEGER      NULL,
       imtype      VARCHAR(32)  NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (ID)
);

CREATE TABLE REPRES
(
       ID        INTEGER   NOT NULL, 
       PROJID    INTEGER   NULL,     
       INFOID    INTEGER   NULL,     
       LLX       FLOAT     NULL,     
       LLY       FLOAT     NULL,     
       URX       FLOAT     NULL,     
       URY       FLOAT     NULL,
       TYPE      INTEGER   NULL,     
       CONTENTS  INTEGER   NULL,     
       ENDIAN    INTEGER   NULL,     
       VISID     INTEGER   NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (ID)
);

CREATE TABLE METADATA
(
       ID            INTEGER      NOT NULL,
       REPID         INTEGER      NULL,
       NOMETAB       VARCHAR(20)  NULL,
       NOME          VARCHAR(32)  NOT NULL,
       AUTOR         VARCHAR(50)  NULL,
       FONTE         VARCHAR(200) NULL,
       QUALIDADE     VARCHAR(50)  NULL,
       DESCRICAO     VARCHAR(200) NULL,
       DATA          VARCHAR(12)  NULL,
       HORA          VARCHAR(10)  NULL,
       TRANSF        INTEGER      NULL,
       spostgresql_id serial not null unique,
       PRIMARY KEY (ID)
);

ALTER TABLE INFOLAYE ADD CONSTRAINT INFOLAYE_FK2 FOREIGN KEY (PROJETO) REFERENCES PROJECTS(ID) MATCH FULL ON DELETE CASCADE;

ALTER TABLE REPRES ADD CONSTRAINT REPRES_FK2 FOREIGN KEY (INFOID) REFERENCES INFOLAYE(ID) MATCH FULL ON DELETE CASCADE;

INSERT INTO nextids5 VALUES (1,0);
INSERT INTO nextids5 VALUES (2,0);
INSERT INTO nextids5 VALUES (3,0);
INSERT INTO nextids5 VALUES (4,0);
INSERT INTO nextids5 VALUES (5,0);
INSERT INTO nextids5 VALUES (6,0);
INSERT INTO nextids5 VALUES (7,0);
INSERT INTO nextids5 VALUES (8,0);
INSERT INTO nextids5 VALUES (9,0);
INSERT INTO nextids5 VALUES (10,0);


create table filevers
(
	extens	varchar(4) NOT NULL,
	version	integer,
	spostgresql_id serial not null unique,
	PRIMARY KEY (extens)
);

INSERT INTO filevers (extens, version) VALUES ('dsp',1);
INSERT INTO filevers (extens, version) VALUES ('spg',1);
INSERT INTO filevers (extens, version) VALUES ('lut',1);
INSERT INTO filevers (extens, version) VALUES ('thm',1);
INSERT INTO filevers (extens, version) VALUES ('leg',1);
INSERT INTO filevers (extens, version) VALUES ('rtl',1);
INSERT INTO filevers (extens, version) VALUES ('blk',1);
INSERT INTO filevers (extens, version) VALUES ('lin',1);
INSERT INTO filevers (extens, version) VALUES ('no1',1);
INSERT INTO filevers (extens, version) VALUES ('no2',1);
INSERT INTO filevers (extens, version) VALUES ('rtp',1);
INSERT INTO filevers (extens, version) VALUES ('po1',1);
INSERT INTO filevers (extens, version) VALUES ('po2',1);
INSERT INTO filevers (extens, version) VALUES ('rta',1);
INSERT INTO filevers (extens, version) VALUES ('an1',1);
INSERT INTO filevers (extens, version) VALUES ('an2',1);
INSERT INTO filevers (extens, version) VALUES ('kdt',1);
INSERT INTO filevers (extens, version) VALUES ('p40',1);
INSERT INTO filevers (extens, version) VALUES ('p2d',1);
INSERT INTO filevers (extens, version) VALUES ('p3d',1);
INSERT INTO filevers (extens, version) VALUES ('tln',1);
INSERT INTO filevers (extens, version) VALUES ('tnd',1);
INSERT INTO filevers (extens, version) VALUES ('tpl',1);
INSERT INTO filevers (extens, version) VALUES ('itx',1);
INSERT INTO filevers (extens, version) VALUES ('kde',1);
INSERT INTO filevers (extens, version) VALUES ('txt',1);
